#include <iostream>
#include <vector>
using namespace std;
int main()
{
	int n,i,promenljiva=0;
	cin>>n;
	vector<int>a(n);
	vector<int>sortirano(n);
	for(i=0;i<n;i++)
		cin>>a[i],sortirano[i]=a[i];
	for(i=0;i<n-1;i++)
		for(int j=i+1;j<n;j++)
			if(sortirano[i]<sortirano[j]){int t=sortirano[i];
	                       sortirano[i]=sortirano[j];
						   sortirano[j]=t;}
	for(i=0;i<n;i++){
		if(a[i]==sortirano[i]) promenljiva+=1;
		else for(int j=i+1;j<n;j++) if(a[j]==sortirano[i]) {int t=a[i];
	                                                         a[i]=a[j];
						                                     a[j]=t;}goto kraj;
		
	}
	if(promenljiva==n) {int t=a[n-1];
	                    a[n-1]=a[n-2];
						a[n-2]=t;}
	kraj:
	for(i=0;i<n;i++)
		cout<<a[i]<<' ';
return 0;
}